---
title: "B1 Accountancy Practices & Registered Office Directory | ReguLex UK"
source_url: "https://regulex.uk/directory/postcode/B1"
canonical_url: "https://regulex.uk/directory/postcode/B1"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Statutory compliance registry for postal area B1. Monitoring 359 accountancy practices and 69,626 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://regulex.uk/directory/postcode/B1](https://regulex.uk/directory/postcode/B1)
>
> *Statutory compliance registry for postal area B1. Monitoring 359 accountancy practices and 69,626 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates.*

## Appointed & Monitored Practices in B1

| # | Practice Name & Address | Co-Located Portfolio | Statutory Status | Action |
| :--- | :--- | :--- | :--- | :--- |
| 1 | [AAU ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=12602732) CRN: 12602732 • B1 3NJ | 1147 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12602732) |
| 2 | [AC FINANCE AND BOOKKEEPING LTD](https://regulex.uk/practice/dashboard?crn=16797133) CRN: 16797133 • B1 3NJ | 1147 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16797133) |
| 3 | [ALGR REC LIMITED](https://regulex.uk/practice/dashboard?crn=16655775) CRN: 16655775 • B1 3NJ | 1147 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16655775) |
| 4 | [ANASTA ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=17212706) CRN: 17212706 • B1 3NJ | 1147 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17212706) |
| 5 | [GROSTRATEGY LTD](https://regulex.uk/practice/dashboard?crn=11933759) CRN: 11933759 • B1 3NJ | 1147 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11933759) |
| 6 | [JACKSON ACCOUNTING SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=15731631) CRN: 15731631 • B1 3NJ | 1147 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15731631) |
| 7 | [JJ ACCOUNTANTS SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=16276036) CRN: 16276036 • B1 3NJ | 1147 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16276036) |
| 8 | [K&C ACCOUNTING SOLUTIONS LTD](https://regulex.uk/practice/dashboard?crn=13853258) CRN: 13853258 • B1 3NJ | 1147 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13853258) |
| 9 | [LEDGERLY ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=16628394) CRN: 16628394 • B1 3NJ | 1147 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16628394) |
| 10 | [LIME PAY CONTRACT LTD](https://regulex.uk/practice/dashboard?crn=10327385) CRN: 10327385 • B1 3NJ | 1147 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10327385) |
| 11 | [MILBEN ACCOUNTS LIMITED](https://regulex.uk/practice/dashboard?crn=09429881) CRN: 09429881 • B1 3NJ | 1147 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09429881) |
| 12 | [OAKRIDGE ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=17115678) CRN: 17115678 • B1 3NJ | 1147 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17115678) |
| 13 | [PALM WEALTH LIMITED](https://regulex.uk/practice/dashboard?crn=10717137) CRN: 10717137 • B1 3NJ | 1147 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10717137) |
| 14 | [RPB ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=16044619) CRN: 16044619 • B1 3NJ | 1147 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16044619) |
| 15 | [SA ACCOUNTANCY (SAIDY) LTD](https://regulex.uk/practice/dashboard?crn=09688268) CRN: 09688268 • B1 3NJ | 1147 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09688268) |
| 16 | [SABA RECRUITMENT LTD](https://regulex.uk/practice/dashboard?crn=16506735) CRN: 16506735 • B1 3NJ | 1147 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16506735) |
| 17 | [UNITED TAX SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=16773398) CRN: 16773398 • B1 3NJ | 1147 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16773398) |
| 18 | [WCT ACCOUNTING LIMITED](https://regulex.uk/practice/dashboard?crn=17125197) CRN: 17125197 • B1 3NJ | 1147 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17125197) |
| 19 | [BRINDLEYS (MIDLANDS) LIMITED](https://regulex.uk/practice/dashboard?crn=06572127) CRN: 06572127 • B15 2LD | 884 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06572127) |
| 20 | [BRINDLEYS LIMITED](https://regulex.uk/practice/dashboard?crn=03428275) CRN: 03428275 • B15 2LD | 884 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=03428275) |
| 21 | [BRINDLEYS(FAS) LTD](https://regulex.uk/practice/dashboard?crn=13050596) CRN: 13050596 • B15 2LD | 884 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13050596) |
| 22 | [BRINDLEYS(UK) LTD](https://regulex.uk/practice/dashboard?crn=15181327) CRN: 15181327 • B15 2LD | 884 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15181327) |
| 23 | [BRINDLEYS HEALTH SECTOR LTD](https://regulex.uk/practice/dashboard?crn=12004316) CRN: 12004316 • B15 2LD | 884 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12004316) |
| 24 | [BRINDLEYS HEALTHCARE LTD](https://regulex.uk/practice/dashboard?crn=09222517) CRN: 09222517 • B15 2LD | 884 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09222517) |
| 25 | [CPC ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=15299364) CRN: 15299364 • B15 2LD | 884 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15299364) |
| 26 | [HDB CONSULTING LTD](https://regulex.uk/practice/dashboard?crn=14577746) CRN: 14577746 • B15 2LD | 884 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14577746) |
| 27 | [HGY PAYROLL SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=12408428) CRN: 12408428 • B15 2LD | 884 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12408428) |
| 28 | [ACCESS ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=13364038) CRN: 13364038 • B15 1TH | 592 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13364038) |
| 29 | [AMAFHH & CO LTD](https://regulex.uk/practice/dashboard?crn=11172756) CRN: 11172756 • B15 1TH | 592 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11172756) |
| 30 | [BA ACCOUNTANTS (WM) LTD](https://regulex.uk/practice/dashboard?crn=13278713) CRN: 13278713 • B15 1TH | 592 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13278713) |
| 31 | [BLUEWATER TAX ACCOUNTING LIMITED](https://regulex.uk/practice/dashboard?crn=12568241) CRN: 12568241 • B15 1TH | 592 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12568241) |
| 32 | [BROOKWAY ASSOCIATES LIMITED](https://regulex.uk/practice/dashboard?crn=14943438) CRN: 14943438 • B15 1TH | 592 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14943438) |
| 33 | [EXPENSES DONE LTD](https://regulex.uk/practice/dashboard?crn=15528322) CRN: 15528322 • B15 1TH | 592 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15528322) |
| 34 | [MICHAEL HEAVEN & ASSOCIATES LIMITED](https://regulex.uk/practice/dashboard?crn=02956557) CRN: 02956557 • B15 1TH | 592 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=02956557) |
| 35 | [NAMESTE ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=14539445) CRN: 14539445 • B15 1TH | 592 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14539445) |
| 36 | [PROPACT SOLUTIONS LIMITED](https://regulex.uk/practice/dashboard?crn=10916406) CRN: 10916406 • B15 1TH | 592 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10916406) |
| 37 | [SBE ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=11494700) CRN: 11494700 • B15 1TH | 592 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11494700) |
| 38 | [WENTWORTH WEALTH LIMITED](https://regulex.uk/practice/dashboard?crn=13790312) CRN: 13790312 • B15 1TH | 592 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13790312) |
| 39 | [A&A ELITE ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=16374484) CRN: 16374484 • B16 8QG | 574 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16374484) |
| 40 | [BIRMINGHAM ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=13400027) CRN: 13400027 • B16 8QG | 574 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13400027) |
| 41 | [COHERENT ACCOUNTING LIMITED](https://regulex.uk/practice/dashboard?crn=14152749) CRN: 14152749 • B16 8QG | 574 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14152749) |
| 42 | [ELEVARE PARTNERS LIMITED](https://regulex.uk/practice/dashboard?crn=16296113) CRN: 16296113 • B16 8QG | 574 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16296113) |
| 43 | [HARRIS ACCOUNTANCY SERVICES LTD](https://regulex.uk/practice/dashboard?crn=09863150) CRN: 09863150 • B16 8QG | 574 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09863150) |
| 44 | [HARRIS AUDITING SERVICES LTD](https://regulex.uk/practice/dashboard?crn=13558097) CRN: 13558097 • B16 8QG | 574 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13558097) |
| 45 | [JKJ FINANCE LTD](https://regulex.uk/practice/dashboard?crn=17205999) CRN: 17205999 • B16 8QG | 574 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17205999) |
| 46 | [LOTUS AND COMPANY ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=17109202) CRN: 17109202 • B16 8QG | 574 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17109202) |
| 47 | [LYPA CONSULTING LTD](https://regulex.uk/practice/dashboard?crn=15263365) CRN: 15263365 • B16 8QG | 574 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15263365) |
| 48 | [MHR ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=15206789) CRN: 15206789 • B16 8QG | 574 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15206789) |
| 49 | [SABIL ACCOUNTING LIMITED](https://regulex.uk/practice/dashboard?crn=16469756) CRN: 16469756 • B16 8QG | 574 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16469756) |
| 50 | [SECURE ACCOUNTS LIMITED](https://regulex.uk/practice/dashboard?crn=08184810) CRN: 08184810 • B16 8QG | 574 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08184810) |

### Key Commercial Postcode Clusters

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://regulex.uk/directory/postcode/B1](https://regulex.uk/directory/postcode/B1).
